.\"	$NetBSD: dn.4,v 1.10 2003/08/07 10:31:11 agc Exp $
.\"
.\" Copyright (c) 1980, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)dn.4	8.1 (Berkeley) 6/5/93
.\"
.Dd June 5, 1993
.Dt DN 4 vax
.Os
.Sh NAME
.Nm dn
.Nd
.Tn DN-11
serial autocall unit interface
.Sh SYNOPSIS
.Cd "dn0 at uba? csr 0160020 vector dnintr"
.Sh DESCRIPTION
NOTE: This driver has not been ported from
.Bx 4.4
yet.
.Pp
The
.Nm dn
device provides an interface through a
.Tn DEC
.Tn DN-11
(or equivalent
such as the Able Quadracall) to an auto-call unit
.Pq Tn ACU .
To place an outgoing call one forks a sub-process which
opens the appropriate call unit file,
.Pa /dev/cua?
and writes the phone number on it.  The parent process
then opens the corresponding modem line
.Pa /dev/cul? .
When the connection has been
established, the open on the modem line
.Pa /dev/cul?
will return and the process will be connected.
A timer is normally used to timeout the opening of
the modem line.
.Pp
The codes for the phone numbers are:
.Bl -column "0-9" description -offset indent
.It 0-9	number to be dialed
.It *	dial * (`:' is a synonym)
.It #	dial # (`;' is a synonym)
.It \-	delay 20 milliseconds
.It \*[Lt]	end of phone number (`e' is a synonym)
.It =	delay for a second dial tone (`w' is a synonym)
.It f	force a hangup of any existing connection
.El
.Pp
The phone number to be dialed must be presented as one contiguous string.
.Pp
By convention, even numbered call units are for 300 baud
modem lines, while odd numbered units are for 1200 baud lines.
For example,
.Pa /dev/cua0
is associated with a 300 baud modem line,
.Pa /dev/cul0 ,
while
.Pa /dev/cua1
is associated with a 1200 baud modem line,
.Pa /dev/cul1 .
For devices such as the Quadracall which simulate multiple
.Tn DN-11
units, the minor device indicates which outgoing modem to use.
.Sh FILES
.Bl -tag -width /dev/cul? -compact
.It Pa /dev/cua?
call units
.It Pa /dev/cul?
associated modem lines
.El
.Sh DIAGNOSTICS
Two error numbers are of interest at open time.
.Bl -tag -width EBUSYxx
.It Bq Er EBUSY
The dialer is in use.
.It Bq Er ENXIO
The device doesn't exist, or there's no power to it.
.El
.Sh SEE ALSO
.Xr tip 1
.Sh HISTORY
A
.Nm
driver appeared in
.At v6 .
